<div [hidden]="submitted">
  <h1>Supereroe Form <small>Reactive form</small></h1>
  <form (ngSubmit)="onSubmit()" [formGroup]="supereroeForm">
    <fieldset formGroupName="identita">
      <div class="form-group">
        <label for="nome">Nome</label>
        <input type="text" class="form-control" id="nome" formControlName="nome">
        <div *ngIf="nome.invalid && (nome.dirty || nome.touched)" class="alert alert-danger">

          <div *ngIf="nome.hasError('required')">
            Campo obbligatorio
          </div>
          <div *ngIf="nome.hasError('minlength')">
            Il nome deve avere almeno 2 caratteri
          </div>

        </div>
      </div>
      <div class="form-group">
        <label for="cognome">Cognome</label>
        <input type="text" class="form-control" id="cognome" formControlName="cognome">
        <div *ngIf="cognome.invalid && (cognome.dirty || cognome.touched)" class="alert alert-danger">

          <div *ngIf="cognome.hasError('minlength')">
            Il nome deve avere almeno 2 caratteri
          </div>

        </div>
      </div>
      <div *ngIf="identita.invalid && (identita.dirty || identita.touched) && identita.hasError('forbiddenName')" class="alert alert-danger">
        <p>Giorgio Vanni non è un supereroe..!</p>
        <p><img src="https://pbs.twimg.com/media/C-bwUyZWsAA2OWp.jpg" alt="Giorgio Vanni"></p>
      </div>
    </fieldset>

    <div class="form-group">
      <label for="soprannome">Soprannome</label>
      <input type="text" class="form-control" id="soprannome" formControlName="soprannome">
    </div>

    <div class="form-group">
      <label for="potere">Superpotere</label>
      <select class="form-control" id="potere" required formControlName="potere">
        <option *ngFor="let potere of poteri" [value]="potere">{{potere}}</option>
      </select>
      <div [hidden]="potere.valid || (potere.pristine && potere.untouched)" class="alert alert-danger">
        Campo obbligatorio
      </div>
    </div>

    <button type="submit" class="btn btn-success" [disabled]="!supereroeForm.valid">Invia</button>
    <button type="reset" class="btn btn-danger ml-2" (click)="resetForm()">Reset</button>
  </form>
</div>

<app-dati-supereroe
  [hidden]="!submitted"
  [model]="model"
  (edit)="submitted=false"
></app-dati-supereroe>
